Changeset cc8ba9f in jalv


Ignore:
Timestamp:
04/26/17 00:24:04 (5 months ago)
Author:
GitHub <noreply@…>
Branches:
master
Children:
8625ac7
Parents:
5f015f7 (diff), 203dbf3 (diff)
Note: this is a merge changeset, the changes displayed below correspond to the merge itself.
Use the (diff) links above to see all the changes relative to each parent.
git-author:
David Robillard <d@…> (04/26/17 00:24:04)
git-committer:
GitHub <noreply@…> (04/26/17 00:24:04)
Message:

Merge pull request #1 from smbolton/master

Fix use-after-free in jalv_gtk.c

Files:
3 edited

Legend:

Unmodified
Added
Removed
  • src/jalv_gtk.c

    r8832868 r203dbf3  
    9292{ 
    9393    Jalv* jalv = (Jalv*)data; 
    94     suil_instance_free(jalv->ui_instance); 
    95     jalv->ui_instance = NULL; 
    9694    gtk_main_quit(); 
    9795} 
     
    12271225 
    12281226    gtk_main(); 
     1227    suil_instance_free(jalv->ui_instance); 
     1228    jalv->ui_instance = NULL; 
    12291229    zix_sem_post(jalv->done); 
    12301230    return 0; 
  • src/jalv.c

    re522a14 r5f015f7  
    778778    jalv.control_in    = (uint32_t)-1; 
    779779 
     780    suil_init(&argc, &argv, SUIL_ARG_NONE); 
    780781    if (jalv_init(&argc, &argv, &jalv.opts)) { 
    781782        return EXIT_FAILURE; 
     
    11101111 
    11111112    /* Create workers if necessary */ 
    1112     if (lilv_plugin_has_feature(jalv.plugin, jalv.nodes.work_schedule) 
    1113         && lilv_plugin_has_extension_data(jalv.plugin, jalv.nodes.work_interface)) { 
     1113    if (lilv_plugin_has_extension_data(jalv.plugin, jalv.nodes.work_interface)) { 
    11141114        const LV2_Worker_Interface* iface = (const LV2_Worker_Interface*) 
    11151115            lilv_instance_get_extension_data(jalv.instance, LV2_WORKER__interface); 
  • wscript

    r1c54807 r4d22c6a  
    6060                      atleast_version='0.12.0', mandatory=True) 
    6161    autowaf.check_pkg(conf, 'suil-0', uselib_store='SUIL', 
    62                       atleast_version='0.6.0', mandatory=True) 
     62                      atleast_version='0.8.7', mandatory=True) 
    6363    autowaf.check_pkg(conf, 'sratom-0', uselib_store='SRATOM', 
    6464                      atleast_version='0.6.0', mandatory=True) 
Note: See TracChangeset for help on using the changeset viewer.